6.0.0-git
2019-03-21

[#7800] recurrence exceptions are lost after upgrade
Summary recurrence exceptions are lost after upgrade
Queue Kolab
Type Bug
State Resolved
Priority 1. Low
Owners thomas.jarosch (at) intra2net (dot) com, wrobel (at) horde (dot) org
Requester m.gabriel (at) das-netzwerkteam (dot) de
Created 2008-12-23 (3740 days ago)
Due
Updated 2012-10-25 (2338 days ago)
Assigned 2009-01-12 (3720 days ago)
Resolved 2012-10-25 (2338 days ago)
Milestone
Patch No

History
2012-10-25 19:12:35 Thomas Jarosch Comment #5
State ⇒ Resolved
Reply to this comment
Recurrence exclusions work fine again with Horde 5.

2009-09-09 06:43:18 Gunnar Wrobel Comment #4 Reply to this comment
Horde/Kolab with the current cvs/git version is probably completely 
broken at the moment. I'm working on it but it will still take a while 
until it is fully functional again.



Once I get to kronolith I'll check this bug again.
2009-01-12 02:08:26 Chuck Hagenbuch State ⇒ Assigned
 
2008-12-30 22:38:56 m (dot) gabriel (at) das-netzwerkteam (dot) de Comment #3 Reply to this comment
this is just on event, but there are several others... this issue 
might be related to

https://www.intevation.de/roundup/kolab/issue3342



<?xml version=3D"1.0"?>

<event version=3D"1.0">

   <uid>51cd6ed12057af223e4570b4a13dbf07</uid>

   <body>Erreichbarkeit: +49 (xxx) xxx-xxxx &#xD;

Oder mobil: +49 (xxxx) xxxxxxx</body>

   <categories>XxxXxxxx - XXX.XXX</categories>

   <creation-date>2008-08-19T13:56:20Z</creation-date>

   <last-modification-date>2008-12-09T10:07:13Z</last-modification-date>

   <sensitivity>public</sensitivity>

   <product-id>Horde::Kolab</product-id>

   <summary>XXX.XXXX (Support)</summary>

   <location>XXXXXXX XX</location>

   <organizer>

     <display-name>Mike Gabriel</display-name>

     <smtp-address>m.gabriel@das-netzwerkteam.de</smtp-address>

     <uid></uid>

   </organizer>

   <start-date>2008-08-19T07:00:00Z</start-date>

   <recurrence cycle=3D"weekly">

     <interval>1</interval>

     <day>tuesday</day>

     <day>wednesday</day>

     <range type=3D"date">2008-12-22</range>

     <exclusion>2008-10-7</exclusion>

     <exclusion>2008-10-8</exclusion>

     <exclusion>2008-10-14</exclusion>

     <exclusion>2008-10-15</exclusion>

     <exclusion>2008-11-5</exclusion>

     <exclusion>2008-12-23</exclusion>

   </recurrence>

   <show-time-as>busy</show-time-as>

   <end-date>2008-08-19T14:00:00Z</end-date>

</event>




2008-12-29 09:37:32 Gunnar Wrobel Comment #2
State ⇒ Feedback
Reply to this comment
Can you attach a kolab.xml attachment from a mail carrying an event 
with exceptions that are not shown anymore?
2008-12-23 11:39:00 Jan Schneider Assigned to Gunnar Wrobel
Assigned to Thomas Jarosch
State ⇒ Assigned
 
2008-12-23 11:14:23 m (dot) gabriel (at) das-netzwerkteam (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ recurrence exceptions are lost after upgrade
Queue ⇒ Kolab
Milestone ⇒
Patch ⇒ No
Reply to this comment
after upgrading horde/kronolith (as created with gunnars 
external-horde-cvs.sh script) to current horde/kronolith from cvs/git 
exceptions of recurrent events seem to be lost.

Saved Queries